PostgreSQL 7.2.1 Documentation
Prev |  | Next

# size

## Name

size -- gives the large object size

## Synopsis

    size()

### Parameters

none

### Return Type

integer

  The large object size.

### Exceptions

SyntaxError

  Too many arguments.

IOError

  Object is not opened, or seek/tell error.

pg.error

  Invalid connection or invalid object.

## Description

`size()` method allows to get the size of the large object. It was implemented because this function is very useful for a WWW interfaced database. Currently the large object needs to be opened.

Prev | Home | Next
unlink | Up | export